package cn.com.countrygarden.bi.main.model.wcx;

import java.util.Date;

/**
 * Created by ADMS on 2018/9/11.
 */
public class WcxInnovationOther {

    private String innovationOtherId; //` varchar(36) NOT NULL COMMENT '其他状态评论主键',
    private String innoId; //` varchar(36) DEFAULT NULL COMMENT '评论表主键',
    private String innoProjectName; //` varchar(36) DEFAULT NULL COMMENT '评论内容',
    private String innoRegionName; //` varchar(36) DEFAULT NULL,
    private String innoUserId; //` varchar(36) DEFAULT NULL COMMENT '用户表主键',
    private String innoUserName; //` varchar(10) DEFAULT NULL COMMENT '评论创建人名称',
    private String innoContentId; //` varchar(36) DEFAULT NULL COMMENT '项目表主键',
    private Date innoCreateDate; //` datetime DEFAULT NULL COMMENT '评论创建时间',
    private String innoStatus; //` char(1) DEFAULT NULL COMMENT '状态(0:未启用 2:被投诉)',
    private String innoSimpleContent; //` varchar(1000) DEFAULT NULL COMMENT '举报内容',

    private String innoType;
    private String innoBaseline;
    private String innoClassification;
    private String innoTeamContent;
    private Date innoTopEndDate;
    private String innoTitle;

    private Integer reportNumber; //` int(5) DEFAULT '0' COMMENT '举报次数',
    private String reportBy; //` varchar(360) DEFAULT NULL COMMENT '投诉者(所有投诉者user_id)',
    private String reportByName; //` varchar(100) DEFAULT NULL COMMENT '投诉者(所有投诉者名称)',
    private Date createDate; //` datetime DEFAULT NULL COMMENT '创建时间',
    private String createBy; //` varchar(36) DEFAULT NULL COMMENT '创建人',
    private String createByName; //` varchar(10) DEFAULT NULL COMMENT '创建人名称',
    private Date lastUpdateDate; //` datetime DEFAULT NULL COMMENT '最后更新时间',
    private String lastUpdateBy; //` varchar(36) DEFAULT NULL COMMENT '最后更新人',
    private String lastUpdateByName; //` varchar(10) DEFAULT NULL COMMENT '最后更新人名称',
    private String status; //` char(1) DEFAULT NULL COMMENT '状态标识(0:撤回 1:未屏蔽 2:已屏蔽)',
    private Integer isDelete; //` tinyint(1) DEFAULT '0' COMMENT '是否有效标识(默认0，0:有效，1:无效)',
    private Integer version; //` int(11) DEFAULT '0' COMMENT '版本号',
    private String reportContent;

    public String getInnoTitle() {
        return innoTitle;
    }

    public void setInnoTitle(String innoTitle) {
        this.innoTitle = innoTitle;
    }

    public String getInnoType() {
        return innoType;
    }

    public void setInnoType(String innoType) {
        this.innoType = innoType;
    }

    public String getInnoBaseline() {
        return innoBaseline;
    }

    public void setInnoBaseline(String innoBaseline) {
        this.innoBaseline = innoBaseline;
    }

    public String getInnoClassification() {
        return innoClassification;
    }

    public void setInnoClassification(String innoClassification) {
        this.innoClassification = innoClassification;
    }

    public String getInnoTeamContent() {
        return innoTeamContent;
    }

    public void setInnoTeamContent(String innoTeamContent) {
        this.innoTeamContent = innoTeamContent;
    }

    public Date getInnoTopEndDate() {
        return innoTopEndDate;
    }

    public void setInnoTopEndDate(Date innoTopEndDate) {
        this.innoTopEndDate = innoTopEndDate;
    }

    public String getInnovationOtherId() {
        return innovationOtherId;
    }

    public void setInnovationOtherId(String innovationOtherId) {
        this.innovationOtherId = innovationOtherId;
    }

    public String getInnoId() {
        return innoId;
    }

    public void setInnoId(String innoId) {
        this.innoId = innoId;
    }

    public String getInnoProjectName() {
        return innoProjectName;
    }

    public void setInnoProjectName(String innoProjectName) {
        this.innoProjectName = innoProjectName;
    }

    public String getInnoRegionName() {
        return innoRegionName;
    }

    public void setInnoRegionName(String innoRegionName) {
        this.innoRegionName = innoRegionName;
    }

    public String getInnoUserId() {
        return innoUserId;
    }

    public void setInnoUserId(String innoUserId) {
        this.innoUserId = innoUserId;
    }

    public String getInnoUserName() {
        return innoUserName;
    }

    public void setInnoUserName(String innoUserName) {
        this.innoUserName = innoUserName;
    }

    public String getInnoContentId() {
        return innoContentId;
    }

    public void setInnoContentId(String innoContentId) {
        this.innoContentId = innoContentId;
    }

    public Date getInnoCreateDate() {
        return innoCreateDate;
    }

    public void setInnoCreateDate(Date innoCreateDate) {
        this.innoCreateDate = innoCreateDate;
    }

    public String getInnoStatus() {
        return innoStatus;
    }

    public void setInnoStatus(String innoStatus) {
        this.innoStatus = innoStatus;
    }

    public String getInnoSimpleContent() {
        return innoSimpleContent;
    }

    public void setInnoSimpleContent(String innoSimpleContent) {
        this.innoSimpleContent = innoSimpleContent;
    }

    public Integer getReportNumber() {
        return reportNumber;
    }

    public void setReportNumber(Integer reportNumber) {
        this.reportNumber = reportNumber;
    }

    public String getReportBy() {
        return reportBy;
    }

    public void setReportBy(String reportBy) {
        this.reportBy = reportBy;
    }

    public String getReportByName() {
        return reportByName;
    }

    public void setReportByName(String reportByName) {
        this.reportByName = reportByName;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getLastUpdateDate() {
        return lastUpdateDate;
    }

    public void setLastUpdateDate(Date lastUpdateDate) {
        this.lastUpdateDate = lastUpdateDate;
    }

    public String getLastUpdateBy() {
        return lastUpdateBy;
    }

    public void setLastUpdateBy(String lastUpdateBy) {
        this.lastUpdateBy = lastUpdateBy;
    }

    public String getLastUpdateByName() {
        return lastUpdateByName;
    }

    public void setLastUpdateByName(String lastUpdateByName) {
        this.lastUpdateByName = lastUpdateByName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getReportContent() {
        return reportContent;
    }

    public void setReportContent(String reportContent) {
        this.reportContent = reportContent;
    }
}
